<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".RePrintLabel_Activity">

    <LinearLayout
        android:id="@+id/layout_header"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:background="@color/color_header"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageButton
            android:id="@+id/imb_back"
            style="@style/Base.Widget.AppCompat.Button.Borderless"
            android:layout_width="50dp"
            android:layout_height="wrap_content"
            android:onClick="onClick"
            app:srcCompat="@drawable/back" />

        <TextView
            android:id="@+id/textView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:text="Re-Print Label"
            android:textColor="@color/color_white"
            android:textSize="20sp"
            android:textStyle="bold" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/linearLayout4"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/black"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.0"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout_header">

        <TextView
            android:id="@+id/txt_user"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:maxLines="1"
            android:text="User :"
            android:singleLine="true"
            android:textColor="@color/white"
            android:textSize="16sp" />

        <TextView
            android:id="@+id/txt_device"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="right"
            android:text="Divice :"
            android:textColor="@color/white"
            android:textSize="16sp"/>
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout4">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="5dp"
            android:orientation="horizontal"
            android:weightSum="1.0">

            <TextView
                android:id="@+id/textView51"
                android:layout_width="0dip"
                android:layout_height="match_parent"
                android:layout_marginStart="5dp"
                android:layout_weight="0.3"
                android:gravity="left|center_vertical"
                android:text="ID :"
                android:textColor="@color/black"
                android:textSize="18sp" />

            <EditText
                android:id="@+id/edt_id"
                android:layout_width="0dip"
                android:layout_height="match_parent"
                android:layout_weight="0.7"
                android:background="@drawable/img_background"
                android:gravity="center"
                android:inputType="number"
                android:textColor="@color/black"
                android:textSize="18sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="5dp"
            android:orientation="horizontal"
            android:weightSum="1.0">

            <TextView
                android:id="@+id/textView53"
                android:layout_width="0dip"
                android:layout_height="match_parent"
                android:layout_marginStart="5dp"
                android:layout_weight="0.3"
                android:gravity="left|center_vertical"
                android:text="Parts No. :"
                android:textColor="@color/black"
                android:textSize="18sp" />

            <TextView
                android:id="@+id/txt_part_no"
                android:layout_width="0dip"
                android:layout_height="match_parent"
                android:layout_weight="0.7"
                android:background="@drawable/img_background"
                android:gravity="center"
                android:textColor="@color/black"
                android:textSize="18sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="5dp"
            android:orientation="horizontal"
            android:weightSum="1.0">

            <TextView
                android:id="@+id/textView59"
                android:layout_width="0dip"
                android:layout_height="match_parent"
                android:layout_marginStart="5dp"
                android:layout_weight="0.3"
                android:gravity="left|center_vertical"
                android:text="Lot No. :"
                android:textColor="@color/black"
                android:textSize="18sp" />

            <TextView
                android:id="@+id/txt_lot_no"
                android:layout_width="0dip"
                android:layout_height="match_parent"
                android:layout_weight="0.7"
                android:background="@drawable/img_background"
                android:gravity="center"
                android:textColor="@color/black"
                android:textSize="18sp" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginTop="5dp"
            android:orientation="horizontal"
            android:weightSum="1.0">

            <TextView
                android:id="@+id/textView5"
                android:layout_width="0dip"
                android:layout_height="match_parent"
                android:layout_marginStart="5dp"
                android:layout_weight="0.3"
                android:gravity="left|center_vertical"
                android:text="Box :"
                android:textColor="@color/black"
                android:textSize="18sp" />

            <TextView
                android:id="@+id/txt_box_no"
                android:layout_width="0dip"
                android:layout_height="match_parent"
                android:layout_weight="0.7"
                android:background="@drawable/img_background"
                android:gravity="center"
                android:textColor="@color/black"
                android:textSize="18sp" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_button"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginTop="35dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">
        <Button
            android:id="@+id/btn_clear"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginEnd="5dp"
            android:layout_weight="1"
            android:background="@drawable/button_background_yellow"
            android:onClick="onClick"
            android:text="Clear [P3]"
            android:textAllCaps="false"
            android:textColor="@color/white"
            android:textSize="18sp" />


        <Button
            android:id="@+id/btn_confirm"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@drawable/button_background_blue"
            android:onClick="onClick"
            android:text="Confirm [P4]"
            android:textAllCaps="false"
            android:textColor="@color/white"
            android:textSize="18sp" />
    </LinearLayout>


    <EditText
        android:id="@+id/txt_label_issue_tmp"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:background="@color/white"
        android:inputType="none"
        android:padding="5dp"
        android:visibility="visible"
        app:layout_constraintTop_toBottomOf="@+id/layout" />


</androidx.constraintlayout.widget.ConstraintLayout>